Returns the last pair of the map

- « Ds\Map::ksorted

- Ds\Map::map »

- PHP Manual
- Ds\Map
- Returns the last pair of the map

# Ds\Map::last

(PECL ds >= 1.0.0)

Ds\Map::last — Returns the last pair of the map

### Description

public Ds\Map::last(): Ds\Pair

Returns the last pair of the map.

### Parameters

This function has no parameters.

### Return Values

The last pair of the map.

### Errors/Exceptions

UnderflowException if empty.

### Examples

Example #1 Ds\Map::last() example

    <?php$map = new \Ds\Map(["a" => 1, "b" => 2, "c" => 3]);var_dump($map->last());?>

The above example will output something similar to:

    object(Ds\Pair)#2 (2) {
      ["key"]=>
      string(1) "c"
      ["value"]=>
      int(3)
    }